Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Nov 2019 01:22:51 +1100

Hi Andrew,

On Tue, 5 Nov 2019 14:50:54 +0100 Andrew Lunn <[email-masked]> wrote:
>
> On Tue, Nov 05, 2019 at 07:53:41PM +1100, Stephen Rothwell wrote:
> > 
> > After merging the net-next tree, today's linux-next build (powepc
> > ppc44x_defconfig) failed like this:
> > 
> > 

Sorry about leaving the error out :-(

> > Caused by commit
> > 
> >   0c65b2b90d13 ("net: of_get_phy_mode: Change API to solve int/unit warnings")
> > 
> > I applied the following patch, but there is probably a nicer and more
> > complete way to fix this.  
> 
> I just received the 0-day about this. I did not know David had merged
> it!
> 
> What you have works. So:
> 
> Reviewed-by: Andrew Lunn <[email-masked]>
> 
> The nicer way is a bit bigger. Is this too big to go in via you?
> Should i submit it via netdev, and you can drop your fix once this
> arrives?

via Dave, thanks.

-- 
Cheers,
Stephen Rothwell